//---------------------------------------------------------------------------

#ifndef MainFormH
#define MainFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "VCap.hpp"
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Mask.hpp>
//---------------------------------------------------------------------------
class TFMain : public TForm
{
__published:	// IDE-managed Components
        TStatusBar *StatusBar;
        TPanel *Panel2;
        TVideoCapture *cap;
        TPanel *Panel3;
        TImage *Image;
        TPanel *Panel6;
        TLabel *lbFrames;
        TBitBtn *btStart;
        TBitBtn *btStop;
        TPanel *Panel4;
        TLabel *Label7;
        TListBox *lbDialogs;
        TPanel *Panel5;
        TPanel *Panel1;
        TButton *Button2;
        TButton *Button1;
        TPanel *Panel7;
        TBevel *Bevel1;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        TComboBox *cbVModes;
        TComboBox *cbAModes;
        TBitBtn *btCaptureFrame;
        TEdit *feBitmap;
        TTimer *Timer;
        void __fastcall FormShow(TObject *Sender);
        void __fastcall capCaptureProgress(TObject *Sender);
        void __fastcall btStartClick(TObject *Sender);
        void __fastcall btStopClick(TObject *Sender);
        void __fastcall btCaptureFrameClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall capChangeDevice(TObject *Sender);
        void __fastcall cbVModesChange(TObject *Sender);
        void __fastcall cbAModesChange(TObject *Sender);
        void __fastcall lbDialogsClick(TObject *Sender);
        void __fastcall capStartPreview(TObject *Sender);
        void __fastcall TimerTimer(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall capBitmapGrabbed(TCapturedBitmap *CapturedImage);
        void __fastcall capFrameRendered(TObject *Sender);
        void __fastcall capStopPreview(TObject *Sender);
private:	// User declarations
        int framecount;
        TGraphConfig* config;
public:		// User declarations
        __fastcall TFMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFMain *FMain;
//---------------------------------------------------------------------------
#endif
